# Uses of Class
net.shibboleth.idp.attribute.resolver.ad.mapped.impl.MappedAttributeDefinition

Packages that use MappedAttributeDefinition
Package
Description
net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl
Contains the parsers for the `MappedAttributeDefinition` and its child elements.

## Uses of MappedAttributeDefinition in net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl

Methods in net.shibboleth.idp.attribute.resolver.spring.ad.mapped.impl that return types with arguments of type MappedAttributeDefinition
Modifier and Type
Method
Description
`protected Class<MappedAttributeDefinition>`
MappedAttributeDefinitionParser.`getBeanClass(Element element)`